Bug 42696 - [IVB]the screen freezes when playing nexuiz, without semaphores
[IVB]the screen freezes when playing nexuiz, without semaphores
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
All Linux (All)
: high critical
Assigned To: Ian Romanick
:
Depends on:
Blocks: 42991
  Show dependency treegraph
 
Reported: 2011-11-08 01:22 UTC by bo.b.wang
Modified: 2012-01-12 14:44 UTC (History)
1 user (show)

See Also:


Attachments
dmesg info with drm.debug=0xe (85.29 KB, text/plain)
2011-11-08 01:22 UTC, bo.b.wang
Details
freezed screen picture (786.72 KB, image/jpeg)
2011-11-08 01:23 UTC, bo.b.wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bo.b.wang 2011-11-08 01:22:15 UTC
Created attachment 53278 [details]
dmesg info with drm.debug=0xe

System Environment:
-------------------------------------
Linux distribution: Ubuntu11.10
Libdrm:    (master)2.4.27
Mesa:        (7.11)4464ee1a9aa3745109cee23531e3fb2323234d07
Xserver:        (server-1.11-branch)xorg-server-1.11.1
Xf86_video_intel:(master)2.16.901-18-g8939ddbc27efedbb3e446dd26425a6bed39577f2
Cairo:        (master)8ddecc08a5e4fc43368c01e4e85215962b009b92
Libva:        (master)bdbc9675fb2529b276bc3e8f720709e75beeae10
Libva_intel_driver:    (master)c2cf8d4c117e515c2377b3c5bf9789ad9dbae618
Kernel:    (master) 094803e0aab3fe75bbf8202a8f4b5280eaade375
Platform: Ivybridge

Bug Description:
---------------------
After playing nexuiz for several minutes, the screen freezes. The attachment is dmesg info and the freeze screen picture. This bug always exists.
Comment 1 bo.b.wang 2011-11-08 01:23:50 UTC
Created attachment 53279 [details]
freezed screen picture
Comment 2 Gordon Jin 2011-11-08 16:55:50 UTC
Do you indicate mesa master works?
Comment 3 bo.b.wang 2011-11-08 19:03:49 UTC
(In reply to comment #2)
> Do you indicate mesa master works?
I have try the mesa(master)
commit 60302f83e2344195f9a1c37215def09fa9c45ff9
Author: Marek Olšák <maraeo@gmail.com>
Date:   Tue Nov 8 23:19:03 2011 +0100

    r600g: clarify meaning of one variable in shader codegen
    
    It's easier to read now.

It is the same issue, even more, the system will hung
Comment 4 Gordon Jin 2011-11-08 19:32:55 UTC
Ken, can you reproduce?
Comment 5 bo.b.wang 2011-11-10 23:11:20 UTC
Hello, I have found when I set i915.semaphores=1, this game will not hangs
Comment 6 Ian Romanick 2011-11-11 10:31:27 UTC
Are there any messages about missed interrupts?  This sounds a lot like bug #38862.
Comment 7 bo.b.wang 2011-11-13 17:49:08 UTC
(In reply to comment #6)
> Are there any messages about missed interrupts?  This sounds a lot like bug
> #38862.
Yes, there are some Miss IRQ info like "[drm:i915_hangcheck_ring_idle] *ERROR* Hangcheck timer elapsed... blt ring idle [waiting on 20869, at 20869], missed IRQ?"
Comment 8 Gordon Jin 2011-11-13 18:51:01 UTC
I'd rather track this (freeze) issue as seperate of bug#38862, unless there's a patch fixing both.
Comment 9 bo.b.wang 2011-12-20 00:15:37 UTC
tested in 3.2-rc6, with gpu semaphores enabled by default on IVB. and no such issue
Comment 10 Florian Mickler 2012-01-12 14:44:15 UTC
A patch referencing this bug report has been merged in Linux v3.2-rc6:

commit f45b55575cedb7efa782e43f1ea74338456d0381
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Fri Dec 9 17:16:37 2011 -0800

    drm/i915: enable semaphores on per-device defaults